This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 894591 - Review Request: coin-or-Bcps - Part of the COIN High Performance Parallel Search Framework
Review Request: coin-or-Bcps - Part of the COIN High Performance Parallel Sea...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On: 894585 894586 894587 894588 894589
Blocks: 894596
  Show dependency treegraph
 
Reported: 2013-01-12 09:37 EST by Paulo Andrade
Modified: 2014-04-15 11:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: coin-or-Cgl-0.58.5-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-15 11:54:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
anto.trande: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paulo Andrade 2013-01-12 09:37:22 EST
Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Bcps.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Bcps-0.93.4-3.fc19.src.rpm
Description: BiCePS is one of the libraries that make up the CHiPPS (COIN High Performance
Parallel Search Framework) library hierarchy. It implements that data-handling
functions needed to support development of many types of relaxation-based
branch-and-bound algorithms, especially for solving mathematical programs. It
is intended to capture the implementation of methods common to all such
algorithms without assuming anything about the structure of the mathematical
program or the bounding method used. BLIS, which is another layer built on top
of BiCePS, is a concretization of Bcps for the case of mixed integer linear
programs. DIP is another implementation being developed using BLIS that
implements a decomposition-based bounding procedure.
Fedora Account System Username: pcpa
Comment 1 Paulo Andrade 2013-01-12 09:42:40 EST
Note that the tarball is remade due to:
+ Data files without a clean license. licensecheck does not trigger
  it because they are small test case files, but a not so small
  collection, and authorship information was lost.
+ ThirdParty directory, that points to, but has no contents, of
  non free code (usually source code open but needs some kind of
  paid license to be able to use).
+ Most coin-or projects bundle other coin-or projects that are
  dependencies. If tarballs are not repackaged, %build will remove
  the bundled dependencies.

I made the original package back in september and was talking from
time to time to upstream about the issues above. There should be
at some point in the near future a new release with bundled dependencies
and code that cannot be redistributed removed from tarballs. There is
also a way to get "clean" tarballs from coin-or trac, but for the
review request I did choose the most common method in Fedora for
these conditions.
Comment 2 Paulo Andrade 2013-01-14 16:38:25 EST
Update:

- Update to run make check (#894610#c4).

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Bcps.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Bcps-0.93.4-4.fc19.src.rpm
Comment 3 Paulo Andrade 2014-03-09 14:30:50 EDT
I made a few different updates while updating to newer
upstream releases with different build issue corrections.

(Need to wait coin-or-Alps to be able to properly run fedora-review)

Update:

- Update to latest upstream release.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Bcps.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Bcps-0.93.12-1.fc21.src.rpm
Comment 4 Antonio Trande 2014-03-12 13:45:00 EDT
There are these warnings:

Warning: Tag `SYMBOL_CACHE_SIZE' at line 289 of file doxydoc/doxygen.conf has become obsolete.
To avoid this warning please remove this line from your configuration file or upgrade it using "doxygen -u"

Maybe, something may be done to resolve them. 


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 62 files have unknown license. Detailed output of
     licensecheck in /home/sagitter/894591-coin-or-Bcps/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/include/coin
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/include/coin
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in coin-or-
     Bcps-doc
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: coin-or-Bcps-0.93.12-1.fc21.i686.rpm
          coin-or-Bcps-devel-0.93.12-1.fc21.i686.rpm
          coin-or-Bcps-doc-0.93.12-1.fc21.noarch.rpm
          coin-or-Bcps-0.93.12-1.fc21.src.rpm
coin-or-Bcps.i686: W: spelling-error %description -l en_US concretization -> containerization, concretion, democratization
coin-or-Bcps-devel.i686: W: no-documentation
coin-or-Bcps.src: W: spelling-error %description -l en_US concretization -> containerization, concretion, democratization
4 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint coin-or-Bcps coin-or-Bcps-devel coin-or-Bcps-doc
coin-or-Bcps.i686: W: spelling-error %description -l en_US concretization -> containerization, concretion, democratization
coin-or-Bcps.i686: W: undefined-non-weak-symbol /usr/lib/libBcps.so.1.6.3 typeinfo for AlpsKnowledge
coin-or-Bcps.i686: W: undefined-non-weak-symbol /usr/lib/libBcps.so.1.6.3 AlpsKnowledge::encode() const
coin-or-Bcps.i686: W: undefined-non-weak-symbol /usr/lib/libBcps.so.1.6.3 AlpsKnowledge::decode(AlpsEncoded&) const
coin-or-Bcps.i686: W: undefined-non-weak-symbol /usr/lib/libBcps.so.1.6.3 typeinfo for AlpsModel
coin-or-Bcps.i686: W: undefined-non-weak-symbol /usr/lib/libBcps.so.1.6.3 CoinError::printErrors_
coin-or-Bcps.i686: W: undefined-non-weak-symbol /usr/lib/libBcps.so.1.6.3 vtable for AlpsKnowledge
coin-or-Bcps.i686: W: undefined-non-weak-symbol /usr/lib/libBcps.so.1.6.3 CoinMessages::CoinMessages(int)
coin-or-Bcps.i686: W: undefined-non-weak-symbol /usr/lib/libBcps.so.1.6.3 CoinMessages::addMessage(int, CoinOneMessage const&)
coin-or-Bcps.i686: W: undefined-non-weak-symbol /usr/lib/libBcps.so.1.6.3 CoinOneMessage::CoinOneMessage(int, char, char const*)
coin-or-Bcps.i686: W: undefined-non-weak-symbol /usr/lib/libBcps.so.1.6.3 CoinOneMessage::~CoinOneMessage()
coin-or-Bcps.i686: W: undefined-non-weak-symbol /usr/lib/libBcps.so.1.6.3 CoinMessages::~CoinMessages()
coin-or-Bcps.i686: W: unused-direct-shlib-dependency /usr/lib/libBcps.so.1.6.3 /lib/libm.so.6
coin-or-Bcps-devel.i686: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 14 warnings.
# echo 'rpmlint-done:'



Requires
--------
coin-or-Bcps (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)

coin-or-Bcps-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    coin-or-Bcps(x86-32)
    coin-or-CoinUtils-devel
    libBcps.so.1
    pkgconfig(alps)

coin-or-Bcps-doc (rpmlib, GLIBC filtered):
    coin-or-Bcps



Provides
--------
coin-or-Bcps:
    coin-or-Bcps
    coin-or-Bcps(x86-32)
    libBcps.so.1

coin-or-Bcps-devel:
    coin-or-Bcps-devel
    coin-or-Bcps-devel(x86-32)
    pkgconfig(bcps)

coin-or-Bcps-doc:
    coin-or-Bcps-doc



Source checksums
----------------
http://www.coin-or.org/download/pkgsource/CHiPPS/Bcps-0.93.12.tgz :
  CHECKSUM(SHA256) this package     : 708fcd058be443991c3b775de91cf36448d506bd910d6386abbb5f03ff80576b
  CHECKSUM(SHA256) upstream package : 708fcd058be443991c3b775de91cf36448d506bd910d6386abbb5f03ff80576b


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 894591
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 5 Paulo Andrade 2014-03-12 14:26:48 EDT
(In reply to Antonio Trande from comment #4)
> There are these warnings:

  I am sending an email with a link to this comment to
report the issue upstream.

> Warning: Tag `SYMBOL_CACHE_SIZE' at line 289 of file doxydoc/doxygen.conf
> has become obsolete.
> To avoid this warning please remove this line from your configuration file
> or upgrade it using "doxygen -u"

  I can add a simple patch to remove it from doxygen.conf.
From what I could find, it was added to default/standard
doxygen.conf files in the past, but upstream recently
deprecated it, and is being verbose about it.

> Maybe, something may be done to resolve them.
Comment 6 Paulo Andrade 2014-03-12 14:35:02 EDT
Update:

- Remove deprecated doxygen option (#894591#c4).

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Bcps.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Bcps-0.93.12-2.fc21.src.rpm
Comment 7 Antonio Trande 2014-03-12 15:38:18 EDT
"The issue thickens":

Warning: Tag `SHOW_DIRECTORIES' at line 461 of file doxydoc/doxygen.conf has become obsolete.
To avoid this warning please remove this line from your configuration file or upgrade it using "doxygen -u"
Warning: Tag `HTML_ALIGN_MEMBERS' at line 788 of file doxydoc/doxygen.conf has become obsolete.
To avoid this warning please remove this line from your configuration file or upgrade it using "doxygen -u"
Warning: Tag `USE_INLINE_TREES' at line 941 of file doxydoc/doxygen.conf has become obsolete.
To avoid this warning please remove this line from your configuration file or upgrade it using "doxygen -u"
Warning: argument `@coin_doxy_usedot@' for option HAVE_DOT is not a valid boolean value
Using the default: NO!
Warning: doxygen no longer ships with the FreeSans font.
You may want to clear or change DOT_FONTNAME.
Otherwise you run the risk that the wrong font is being used for dot generated graphs.

Obsolete tags are more than one.
I consider approved this package.
Comment 8 Paulo Andrade 2014-03-12 17:43:08 EDT
Ops. I experimented with running doxygen -u to remove the
deprecated options. It just prints the warnings again and
outputs an updated doxygen.conf.

But I think the real problem here is the @coin_doxy_usedot@
warning, that appears to be some misspelling or something
left from a previous configuration schema. I will talk with
upstream to figure out about @coin_doxy_usedot@, about the
other warnings probably it should be safe to remove the
options. Older doxygen should just ignore them, as they are
set to default values anyway.

Many thanks for the review.
Comment 9 Paulo Andrade 2014-03-12 17:45:31 EDT
New Package SCM Request
=======================
Package Name: coin-or-Bcps
Short Description: Part of the COIN High Performance Parallel Search Framework
Owners: pcpa
Branches: f20
InitialCC:
Comment 10 Jon Ciesla 2014-03-13 08:12:44 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2014-04-04 19:47:54 EDT
coin-or-Cgl-0.58.5-1.fc20,coin-or-Alps-1.4.10-3.fc20,coin-or-Bcps-0.93.12-2.fc20,coin-or-Blis-0.93.11-2.fc20,coin-or-Cbc-2.8.9-1.fc20,coin-or-DyLP-1.9.4-1.fc20,coin-or-Vol-1.4.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/coin-or-Cgl-0.58.5-1.fc20,coin-or-Alps-1.4.10-3.fc20,coin-or-Bcps-0.93.12-2.fc20,coin-or-Blis-0.93.11-2.fc20,coin-or-Cbc-2.8.9-1.fc20,coin-or-DyLP-1.9.4-1.fc20,coin-or-Vol-1.4.4-1.fc20
Comment 12 Fedora Update System 2014-04-05 22:33:31 EDT
coin-or-Cgl-0.58.5-1.fc20, coin-or-Alps-1.4.10-3.fc20, coin-or-Bcps-0.93.12-2.fc20, coin-or-Blis-0.93.11-2.fc20, coin-or-Cbc-2.8.9-1.fc20, coin-or-DyLP-1.9.4-1.fc20, coin-or-Vol-1.4.4-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 13 Fedora Update System 2014-04-15 11:54:22 EDT
coin-or-Cgl-0.58.5-1.fc20, coin-or-Alps-1.4.10-3.fc20, coin-or-Bcps-0.93.12-2.fc20, coin-or-Blis-0.93.11-2.fc20, coin-or-Cbc-2.8.9-1.fc20, coin-or-DyLP-1.9.4-1.fc20, coin-or-Vol-1.4.4-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.